POSTS = $(shell find ./posts -mindepth 1 -type d | sort -r)
PAGES = $(shell find ./pages -mindepth 1 -type d)

.PHONY: all
all:
	$(MAKE) index

.PHONY: posts
posts:	
	for d in $(POSTS); do (echo $$d; cd $$d; $(MAKE) -f ../../m4/posts.mk); done

.PHONY: pages
pages:	
	for d in $(PAGES); do (echo $$d; cd $$d; $(MAKE) -f ../../m4/posts.mk); done

.PHONY: plain
plain:
	cd ./plain; $(MAKE)

.PHONY: clean
clean:
	for d in $(POSTS); do (cd $$d; $(MAKE) -f ../../m4/posts.mk cleanposts); done
	for d in $(PAGES); do (cd $$d; $(MAKE) -f ../../m4/posts.mk cleanposts); done
	-rm -f toc.inc
	-rm -f index.html

.PHONY: index
index: posts pages plain
	-rm -f toc.inc
	for d in $(PAGES); do (cd $$d; m4 -D URL=$$d/article.html ../../m4/macros.m4 article.m4 ../../m4/indexTOCEntry.m4) >> toc.inc; done
	for d in $(POSTS); do (cd $$d; m4 -D URL=$$d/article.html ../../m4/macros.m4 article.m4 ../../m4/indexTOCEntry.m4) >> toc.inc; done
	m4 ./m4/macros.m4 index.m4 > index.html

.PHONY: install
devinstall: index
	rsync -av --delete --exclude-from excludes.lst . /var/www/html